<?php

/**
 * Emilia Romagna Open Innovation
 * Arter
 *
 *
 * @package    arter\amos\slideshow
 * @category   CategoryName
 */

namespace arter\amos\slideshow\widgets\icons;

use arter\amos\core\widget\WidgetIcon;
use arter\amos\dashboard\models\AmosWidgets;
use arter\amos\slideshow\AmosSlideshow;
use Yii;
use yii\helpers\ArrayHelper;

/**
 * Class WidgetIconSlideshow
 * @package arter\amos\slideshow\widgets\icons
 */
class WidgetIconSlideshow extends WidgetIcon
{

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        $this->setLabel(AmosSlideshow::tHtml('amosslideshow', 'Dashboard Slideshow'));
        $this->setDescription(AmosSlideshow::t('amosslideshow', 'Visualizza dashboard slideshow'));
        $this->setIcon('image');
        $this->setUrl(Yii::$app->urlManager->createUrl(['/slideshow']));
        $this->setCode('SLIDESHOW');
        $this->setModuleName('slideshow');
        $this->setNamespace(__CLASS__);

        $this->setClassSpan(
            ArrayHelper::merge(
                $this->getClassSpan(),
                [
                    'bk-backgroundIcon',
                    'color-darkPrimary'
                ]
            )
        );
    }

    /**
     * Aggiunge all'oggetto container tutti i widgets recuperati dal controller del modulo
     * 
     * @return type
     */
    public function getOptions()
    {
        return ArrayHelper::merge(
            parent::getOptions(),
            ['children' => $this->getWidgetsIcon()]
        );
    }

    /**
     * 
     * @return type
     */
    public function getWidgetsIcon()
    {
        return AmosWidgets::find()
            ->andWhere(['child_of' => self::className()])
            ->all();
    }

}
